package com.bizmatics.mhfire.service.job;

import com.bizmatics.common.core.util.StringUtils;
import com.bizmatics.mhfire.model.Alert;
import com.bizmatics.mhfire.service.AlertService;
import com.bizmatics.mhfire.service.api.AlertAndSiteApi;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.collections4.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @author yq
 * @date 2021/8/12 16:04
 */
@Slf4j
@Component
public class AlertJob {

    @Autowired
    private AlertService alertService;

    public void execute(){
        String token = AlertAndSiteApi.login(AlertAndSiteApi.USER_NAME, AlertAndSiteApi.USER_PASSWORD);
        boolean nextFlag = true;
        Integer page = 1;
        Integer size = 500;
        Integer count = 0;
        while (StringUtils.isNotBlank(token) && nextFlag){
            List<Alert> alerts = AlertAndSiteApi.alertPage(null, null, page, size, token);
            count+=alerts.size();
            if (CollectionUtils.isNotEmpty(alerts)){
                alerts.forEach(alert -> alertService.saveOrUpdate(alert));
                page++;
            }else {
                nextFlag = false;
            }
        }
        log.info("alertJob----完成,获取警情记录:"+ count);
    }
}
