package com.bizmatics.mhfire.service.job;

import com.bizmatics.common.core.util.StringUtils;
import com.bizmatics.mhfire.model.FireSite;
import com.bizmatics.mhfire.service.FireSiteService;
import com.bizmatics.mhfire.service.api.AlertAndSiteApi;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;

/**
 * @author yq
 * @date 2021/8/12 16:04
 */
@Slf4j
@Component
public class FireSiteJob {


    @Autowired
    private FireSiteService fireSiteService;

    public void execute(){
        String token = AlertAndSiteApi.login(AlertAndSiteApi.USER_NAME, AlertAndSiteApi.USER_PASSWORD);
        List<FireSite> list = new ArrayList<>();
        if (StringUtils.isNotBlank(token)){
            list = AlertAndSiteApi.fireSiteList(null, null, null, null, token);
            list.forEach(fireSite -> fireSiteService.saveOrUpdate(fireSite));
        }
        log.info("fireSiteJob----完成,获取警情记录:"+ list.size());
    }
}
